//
//  CalibrationController.h
//  Skip Checker
//
//  Created by Sven on 18.10.06 for SkipChecker.
//  Copyright 2006 earthlingsoft.
//	http://earthlingsoft.net/Skip%20Checker  earthlingsoft@earthlingsoft.net
//
//	Feel free to use this code at your risk and for your own amusement. 
//	If you find it helpful and can use it for yourself, don't forget to give credit.
//	If you spot problems with the code, please let us know.


#import <Cocoa/Cocoa.h>

#define CALIBRATIONTEXT @"calibrationText"
#define CALIBRATIONDATA @"calibrationData"
#define CALIBRATIONDONE @"calibrationDone"

/*
 CalibrationController class handles the Calibration window
*/
@interface CalibrationController : NSWindowController {
	NSString *calibrationText;
	BOOL calibrationDone;
}

- (IBAction) calibrate:(id) sender;

@end


/*
 Smart-ass value transformers so we can have button text that says 'Calibrate'  when things haven't been calibrated yet and 'Recalibrate' if calibration data exists.
*/
@interface esCalibrateButtonTextTransformer : NSValueTransformer {
}
@end

@interface esCalibrateMSButtonTextTransformer : NSValueTransformer {
}
@end
